NI Package Manager Error "There Was a Problem Executing Your Request" When Installing

Updated Jan 17, 2020

Reported In

Software

  • Package Manager

Issue Details

While trying to install NI software through NI Package Manager, I get the following error message:
There was a problem executing your request.
An error occurred while upgrading from package '<ni service and version>' to '<ni service and version>'.
Please check your Internet connection and try again.

I have checked my internet connection and everything seems fine. Why can't I install the software?

Solution

  • Install a newer version of NI Service mentioned (such as NI Update Service) on it's own first as the error is occuring during the other service's  install.
  • Try installing the software using the Offline Installer.
  • Check that your antivirus, or any other network security software installed in your computer is not blocking the installation of the specific package that the error message shows.
  • Check that there is enough free storage on your hard drive to install the software. Minimum storage requirements can be found on the Read Me file for your software. 
  • If you are still unable to install without error, try installing a different version of the software.